summaryrefslogtreecommitdiff
path: root/games/typhoon_2001/typhoon_2001.SlackBuild
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2013-06-15 21:10:09 -0300
committerNiels Horn <niels.horn@slackbuilds.org>2013-06-15 21:10:09 -0300
commite22ef61c8850bcd9b21834e5a0e05ff614bc365c (patch)
tree8b1ad83cbb78f351fecbeecd69997d0f68f24b80 /games/typhoon_2001/typhoon_2001.SlackBuild
parent74749e71a6a287802bae7089937077d64d2b709e (diff)
downloadslackbuilds-e22ef61c8850bcd9b21834e5a0e05ff614bc365c.tar.gz
games/typhoon_2001: Updated homepage, fix ARCH setting.
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'games/typhoon_2001/typhoon_2001.SlackBuild')
-rw-r--r--games/typhoon_2001/typhoon_2001.SlackBuild14
1 files changed, 8 insertions, 6 deletions
diff --git a/games/typhoon_2001/typhoon_2001.SlackBuild b/games/typhoon_2001/typhoon_2001.SlackBuild
index 422be820ad..ba9f709b86 100644
--- a/games/typhoon_2001/typhoon_2001.SlackBuild
+++ b/games/typhoon_2001/typhoon_2001.SlackBuild
@@ -11,17 +11,18 @@
# typhoon.cfg needs to be a real file and be writable by the user.
# (it will be created the first time the game is run).
-# Note to SBo admins: please don't change the ARCH line to read
-# ARCH=${ARCH:-i486}, since this is a binary-only package (users might get
-# confused seeing a so-called x86_64 package that really contains an
-# x86 binary...)
-
PRGNAM=typhoon_2001
VERSION=r3992
-ARCH=i486
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ *) echo "Architecture not supported." ; exit 1 ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -64,6 +65,7 @@ mkdir -p $PKG/usr/share/pixmaps
cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD.${PKGTYPE:-tgz}